summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNeels Hofmeyr <neels@hofmeyr.de>2017-09-07 00:57:46 +0200
committerNeels Hofmeyr <neels@hofmeyr.de>2017-09-07 00:59:46 +0200
commit713a1201d2dd0b06dc61a66f1f876064d6581aeb (patch)
tree00a82d9c9406fa0e8b0664867a184d798414a2f1
parent1921c0f6c96554f5b9018f00ed151d4010ae4c82 (diff)
jenkins-common: ensure requested binaries indeed have been built
Recent change Ib1a00b2149453fedf9ece0460dd4d6e83f774d45 drops binaries from a build artifact by leaving only explicitly requested ones. This adds a check that the requested ones indeed exist. Change-Id: Iceddeee6aebb1cdb54d7304495c3e332390261db
-rw-r--r--contrib/jenkins-build-common.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/contrib/jenkins-build-common.sh b/contrib/jenkins-build-common.sh
index 3d9932d..e15c616 100644
--- a/contrib/jenkins-build-common.sh
+++ b/contrib/jenkins-build-common.sh
@@ -156,6 +156,15 @@ create_bin_tgz() {
fi
done
+ # ensure requested binaries indeed exist
+ for b in $wanted_binaries ; do
+ if [ ! -f "$b" ]; then
+ set +x; echo "ERROR: no such binary: $b in $prefix_real/bin/"; set -x
+ ls -1 "$prefix_real/bin"
+ exit 1
+ fi
+ done
+
cd "$prefix_real"
this="$name.build-${BUILD_NUMBER-$(date +%Y-%m-%d_%H_%M_%S)}"
tar="${this}.tgz"